> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/ribbon-menu-bar/reports/export-reports.md).

# Export reports

The ***Export reports*** feature is a way to execute and export reports through a command line. You can use this feature in a shortcut or in a batch file and use the Windows task scheduler to execute it.

You will be able to export Data report, Inventory report as well as most of the reports found in our Generate Report list except for the Password Usage.

{% hint style="info" %}
You must have the rights to run report in Remote Desktop Manager to use this feature.
{% endhint %}

### Settings

For Reports containing settings, you will have to start with exporting your report settings to create the `.rdr` file that the command line use to generate the reports. Here is a list of reports containing settings:

1. Go to the ribbon of Remote Desktop Manager and select ***Reports – More reports – Entry information***. Click ***Export Settings*** in the ***More*** text button. It will create an \*.rdr file containing all your report settings. This is also where you Report ID is located (this will be useful later on).
2. In your Windows Command Prompt enter the following command line:

```powershell
C:\*** /DataSource:*** /report:***/reportoutput:"***" /reportsettings:"***.rdr"
```

<table><thead><tr><th width="150">PARAMETERS</th><th>DESCRIPTION</th></tr></thead><tbody><tr><td><strong>C:\</strong></td><td>Enter the path used to start your Remote Desktop Manager application (path of the RemoteDesktopManager.exe file)</td></tr><tr><td><strong>/DataSource</strong></td><td>Specify the workspace ID.</td></tr><tr><td><strong>/report</strong></td><td>Specify the type of report to generate or the report ID.</td></tr><tr><td><strong>/reportoutput</strong></td><td>Specify the path to save your report and the name for the newly generated report.</td></tr><tr><td><strong>/reportsettings</strong></td><td>Specify the path of your report settings file (.rdr).</td></tr></tbody></table>

To find your workspace ID and the Command Line use to start Remote Desktop Manager edit one of your session from your workspace and select ***Entry information***.

Here is a list of types of ***Reports*** you can find in Remote Desktop Manager and the name to enter in the command line to generate the report:

<table><thead><tr><th width="250">REPORT TYPE</th><th>REPORT NAME (TYPE) TO INSERT IN THE COMMAND LINE</th></tr></thead><tbody><tr><td><strong>Activity logs report</strong></td><td>SharedConnectionLog</td></tr><tr><td><strong>Duplicate entry</strong></td><td>DuplicateEntry</td></tr><tr><td><strong>Entry information</strong></td><td>ConnectionInformation</td></tr><tr><td><strong>Entry status</strong></td><td>ConnectionStatus</td></tr><tr><td><strong>Expired entry list</strong></td><td>ConnectionExpiredEntry</td></tr><tr><td><strong>Expired passports</strong></td><td>ConnectionExpiredPassport</td></tr><tr><td><strong>Expired softwares</strong></td><td>ConnectionExpiredSoftware</td></tr><tr><td><strong>Expired warranties</strong></td><td>ConnectionExpiredWarranty</td></tr><tr><td><strong>Password complexity</strong></td><td>PasswordComplexity</td></tr><tr><td><strong>VPN groups</strong></td><td>VPNGroup</td></tr></tbody></table>

Here is an example of a command line for an Entry Information Report:

```powershell
C:\Program Files (x86)\Devolutions\Remote Desktop Manager\RemoteDesktopManager<area>.exe /DataSource:8a4f2f70-5e8a-4d6c-9c7b-119080a4c879 /report:EntryInformation /reportoutput:C:\dev\devolutions\Rapport\rapportEntry.csv /reportsettings:C:\dev\devolutions\Rapport\SettingsEntryInformation.rdr
```

#### See also

* [Devolutions Academy – Export your reports from Remote Desktop Manager](https://academy.devolutions.net/student/page/2750537-export-your-reports-from-remote-desktop-manager?curriculum_activity_id=4164539\&path_id=2628397\&sid=10ff0331-164b-4cfe-9f96-888b928524e5\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/rdm/ribbon-menu-bar/reports/export-reports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
